PKGCTL-REPO-SWITCH(1)

BEZEICHNUNG
pkgctl-repo-switch - Umschalten eines Paketrepositoriums auf eine angegebene Version

ÜBERSICHT

pkgctl repo switch [OPTIONEN] [VERSION] [PAKETBASIS]…

BESCHREIBUNG

Schaltet ein Paketquellenrepositorium auf eine angegebene Version, Markierung (Tag) oder Zweig (Branch) um. Der Arbeitsbaum und der Index werden aktualisiert, damit sie auf die angegebene Referenz passen.

Falls ein Versionskennzeichner im Pacman-Versionsformat angegeben ist, wird dieser Kennzeichner automatisch entsprechend in den Git-Tagnamen übersetzt.

Falls kein PAKETBASIS angegeben wird, wird das aktuelle Arbeitsverzeichnis verwandt.

OPTIONEN

--discard-changes
    Fährt selbst dann fort, wenn sich der Index oder das Arbeitsverzeichnis von HEAD unterscheiden. Sowohl der Index als auch der Arbeitsbaum werden wiederhergestellt, so dass sie auf das umgestellte Ziel passen.

-f, --force
    Ein Alias für --discard-changes.

-h, --help
    Zeigt einen Hilfetext an.

HOMEPAGE

Bitte melden Sie Fehler und Funktionalitätswünsche auf Englisch in dem Fehlererfassungssystem. Bitte versuchen Sie bei Fehlern so gut wie möglich, einen reproduzierbaren Testfall zu erstellen.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer: debian-l10n-german@lists.debian.org.